Bug 13670 - Patron holds table not loading when holds tab anchor is used
Summary: Patron holds table not loading when holds tab anchor is used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-05 14:20 UTC by Kyle M Hall
Modified: 2015-12-03 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13670 - Patron holds table not loading when holds tab anchor is used (1.59 KB, patch)
2015-02-05 14:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13670 - Patron holds table not loading when holds tab anchor is used (1.67 KB, patch)
2015-02-05 14:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13670 - Patron holds table not loading when holds tab anchor is used (1.72 KB, patch)
2015-02-05 17:48 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13670 - Patron holds table not loading when holds tab anchor is used (1.79 KB, patch)
2015-02-08 19:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-02-05 14:20:57 UTC
If a link to a patron record ends with #reserves, the holds tab is selected on page load, but the holds table does not load.
Comment 1 Kyle M Hall 2015-02-05 14:24:29 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-02-05 14:26:57 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-02-05 17:48:22 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-02-08 19:20:06 UTC
Created attachment 35731 [details] [review]
[PASSED QA] Bug 13670 - Patron holds table not loading when holds tab anchor is used

If a link to a patron record ends with #reserves, the holds tab is selected
on page load, but the holds table does not load.

Test Plan:
1) Build your holds queue
2) From the holds queue report, open any patron link
3) Note the patron's reserves do not load
4) Apply this patch
5) Clear your browser cache
6) Repeat step 2
7) Note the holds table now loads

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-02-10 17:10:07 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2015-02-14 07:31:19 UTC
Pushed to 3.18.x will be in 3.18.4